﻿using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls.UI;
using System.Windows.Forms;
using System.Drawing;
using System.ComponentModel;

namespace WindowsFormsApplication2
{
    public class ExtendedButton : RadButton
    {
        Image normalImage;
        Image pressedImage;

        public ExtendedButton()
        {
        }

        [DefaultValue(null)]
        public Image NormalImage
        {
            get
            {
                return normalImage;
            }
            set
            {
                normalImage = value;
                this.Image = normalImage;
            }
        }

        [DefaultValue(null)]
        public Image PressedImage
        {
            get
            {
                return pressedImage;
            }
            set
            {
                pressedImage = value;
            }
        }

        protected override void OnMouseDown(System.Windows.Forms.MouseEventArgs e)
        {
            base.OnMouseDown(e);

            this.Image = pressedImage;
        }

        protected override void OnMouseUp(System.Windows.Forms.MouseEventArgs e)
        {
            base.OnMouseUp(e);

            this.Image = normalImage;
        }

        protected override void OnKeyDown(System.Windows.Forms.KeyEventArgs e)
        {
            base.OnKeyDown(e);

            if (e.KeyCode == Keys.Space)
            {
                this.Image = pressedImage;
            }
        }

        protected override void OnKeyUp(System.Windows.Forms.KeyEventArgs e)
        {
            base.OnKeyUp(e);

            if (e.KeyCode == Keys.Space)
            {
                this.Image = normalImage;
            }
        }
    }
}
